Update Tag Group
curl --request PATCH \
--url https://api.peec.ai/customer/v1/tag-groups/{group} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "audience",
"color": "green"
}
'import requests
url = "https://api.peec.ai/customer/v1/tag-groups/{group}"
payload = {
"name": "audience",
"color": "green"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'audience', color: 'green'})
};
fetch('https://api.peec.ai/customer/v1/tag-groups/{group}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tag_count": 123
}{
"message": "<string>"
}Project
Update Tag Group
Rename and/or recolor a user-defined tag group. Applies to every tag in the group. System groups (branding/intentType) cannot be modified.
PATCH
/
tag-groups
/
{group}
Update Tag Group
Authorizations
APIKeyHeaderAPIKeyQueryBearerAuth
Path Parameters
The current group name (URL-encoded)
Example:
"persona"
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
New group name to rename the group to
Minimum string length:
1Example:
"audience"
New color applied to every tag in the group
Available options:
gray, red, orange, yellow, lime, green, cyan, blue, purple, fuchsia, pink, emerald, amber, violet, indigo, teal, sky, rose, slate, zinc, neutral, stone Example:
"green"
Response
Group updated successfully
Group updated successfully
⌘I
